# $Revision: 1.31 $, $Date: 2006/11/21 19:57:08 $
Summary:	News portal is a PHP based newsreader
Summary(de):	PHP-Skript, welches den Zugriff auf Newsgruppen ber Web ermglicht
Summary(pl):	Skrypt w PHP umoliwiajcy czytanie newsw przez przegldark
Name:		newsportal
Version:	0.36
Release:	5
License:	GPL
Group:		Networking/News
Source0:	http://florian-amrhein.de/nw/newsportal/download/%{name}-%{version}.tar.gz
# Source0-md5:	9f93d2b7e4f9dcf1eeca90d9477b4a68
Source1:	%{name}-apache.conf
Patch0:		%{name}-path.patch
URL:		http://florian-amrhein.de/newsportal/
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	php(iconv)
Requires:	php(pcre)
Requires:	webapps
Requires:	webserver = apache
Requires:	webserver(php)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_sysconfdir	%{_webapps}/%{_webapp}
%define		_appdir		%{_datadir}/%{_webapp}

%description
This PHP script enables the access to a newsserver (by NNTP) from a
webpage. It allows you to combine web-forums and newsgroups. The
script is also suitable for presentation of announce newsgroups on web
pages, without having the user notice that he is in fact accessing a
news server.

%description -l de
NewsPortal ist ein PHP-Skript, welches den Zugriff auf Newsgruppen
ber Web ermglicht. Diese Skriptsammlung ermglicht von einer
Webseite aus den Zugriff auf einen Newsserver (per NNTP). Man kann
damit Webforen und Newsgruppen verbinden, so da auf ein "Webforum"
auch per NNTP zugegriffen werden kann. Dieses Skript eignet sich auch
fr die Prsentation von Announce-Newsgruppen auf Webseiten, ohne da
der Benutzer merkt, da er in Wirklichkeit auf einen Newsserver
zugreift.

%description -l pl
NewsPortal pozwala na utworzenie prostego i estetycznego interfejsu do
czytania grup newsowych (przy uyciu protokou NNTP) przez
przegldark WWW.

%prep
%setup -q -n NewsPortal-%{version}
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_appdir}/{img,doc,lang,extras/frames,lib},{/var/spool/%{name},%{_sysconfdir}}}

install *.{php,inc,txt,css} $RPM_BUILD_ROOT%{_appdir}
install img/* $RPM_BUILD_ROOT%{_appdir}/img
install lang/* $RPM_BUILD_ROOT%{_appdir}/lang
install lib/* $RPM_BUILD_ROOT%{_appdir}/lib
install extras/frames/* $RPM_BUILD_ROOT%{_appdir}/extras/frames
mv $RPM_BUILD_ROOT%{_appdir}/config.inc.php $RPM_BUILD_ROOT%{_sysconfdir}/config.php
mv $RPM_BUILD_ROOT%{_appdir}/groups.txt $RPM_BUILD_ROOT%{_sysconfdir}/groups.txt
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerpostun -- newsportal < 0.36-1.1
# location before r1.16
for i in groups.txt config.inc.php; do
	if [ -f /home/services/httpd/html/newsportal/$i.rpmsave ]; then
		mv -f %{_sysconfdir}/$i{,.rpmnew}
		mv -f /home/services/httpd/html/newsportal/$i.rpmsave %{_sysconfdir}/$i
	fi
done
# location before r1.23
if [ -f /etc/%{name}/config.inc.rpmsave ]; then
	mv -f %{_sysconfdir}/config.php{,.rpmnew}
	mv -f /etc/%{name}/config.inc.rpmsave %{_sysconfdir}/config.php
fi
if [ -f /etc/%{name}/groups.txt.rpmsave ]; then
	mv -f %{_sysconfdir}/groups.txt{,.rpmnew}
	mv -f /etc/%{name}/groups.txt.rpmsave %{_sysconfdir}/groups.txt
fi

# no earlier registration. autodetect based on installed webservers
if [ -d /etc/apache/webapps.d ]; then
	/usr/sbin/webapp register apache %{_webapp}
	%service -q apache reload
fi

if [ -d /etc/httpd/webapps.d ]; then
	/usr/sbin/webapp register httpd %{_webapp}
	%service -q httpd reload
fi

%files
%defattr(644,root,root,755)
%doc doc/*
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/config.php
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/groups.txt
%{_appdir}
%attr(700,http,http) %dir /var/spool/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: newsportal.spec,v $
Revision 1.31  2006/11/21 19:57:08  glen
- rel 5: use php(extension) virtuals

Revision 1.30  2006/10/01 21:14:52  glen
- rel 4

Revision 1.29  2006/09/30 14:51:32  glen
- missing R: webapps

Revision 1.28  2006/09/29 21:25:58  glen
- update webapp triggers due apache1 package split

Revision 1.27  2006/02/03 16:53:08  baggins
- release 3

Revision 1.26  2006/02/02 15:14:49  glen
- update apache2 trigger to match apache-base in case somebody decides not to
  use apache2.2 virtual pkg (freedom of choice one of the pld mottos)

Revision 1.25  2006/01/04 13:57:01  glen
- use %service in trigger to respect skip auto restarts of services

Revision 1.24  2006/01/04 13:50:46  glen
- use webapps framework
- add apache config
- add missing css files to package
- add missing php-iconv dep
- rel 2

Revision 1.23  2005/12/13 13:58:51  glen
- adapterized (sorted %verify attrs)

Revision 1.22  2005/11/20 22:55:06  glen
- use virtual webserver provide

Revision 1.21  2005/01/10 10:00:18  adamg
- updated to 0.36

Revision 1.20  2004/10/24 12:17:39  paladine
- www->WWW

Revision 1.19  2004/02/17 14:52:37  mwinkler
- version 0.34

Revision 1.18  2004/02/13 23:45:36  undefine
- update to 0.33

Revision 1.17  2004/02/11 08:47:18  qboosh
- missing dir

Revision 1.16  2004/02/10 18:21:16  undefine
- move data to %{_datadir}/%{name}, patch to use config in /etc and spool
  in /var/spool
- trigger to warn about changes

Revision 1.15  2004/01/28 02:13:42  undefine
- update to 0.28

Revision 1.14  2004/01/28 02:08:26  undefine
- groups.txt is config file!, release 2

Revision 1.13  2004/01/11 19:08:27  undefine
- update to 0.27

Revision 1.12  2003/11/11 01:42:28  ankry
- caps unification, other cosmetics

Revision 1.11  2003/06/06 12:33:22  qboosh
- updated feedback address

Revision 1.10  2003/05/28 12:59:53  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 05:51:09  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2002/12/07 19:25:41  orzech
- /home -> /home/services

Revision 1.7  2002/08/13 12:50:32  kloczek
- cosmetics.

Revision 1.6  2002/06/06 14:45:43  undefine
- group Networking/News

Revision 1.5  2002/06/06 14:43:27  baseciq
- added log...
